/*
 * Copyright Altera 2013
 * All Rights Reserved
 * File: hello.c
 *
 */

#include <stdio.h>

#define ALT_CAST(type, ptr)        ((type) (ptr))
#define alt_write_word(dest, src)  (*ALT_CAST(volatile unsigned int *, (dest)) = (src))

#define LED_BASE_ADDR              (0xFF210040)

int main(int argc, char** argv)
{
	int i;

	printf("Hello from Helio \n");

	while(1)
	{
		for(i=0; i < 8; i++){
			alt_write_word(LED_BASE_ADDR,i);
			printf("LED [%x] \n",i);
		}
	}

	return 0;
}
